# TODO: optflags
#
# Conditional build:
%bcond_without	introspection	# disable introspection
#
Summary:	Port of WebKit embeddable web component to GTK+
Summary(pl.UTF-8):	Port osadzalnego komponentu WWW WebKit do GTK+
Name:		gtk-webkit
Version:	1.8.2
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	http://webkitgtk.org/releases/webkit-%{version}.tar.xz
# Source0-md5:	f7bd0bd4f323039f15e19c82a9a8313c
Patch0:		%{name}-am.patch
Patch1:		%{name}-bison2.6.patch
URL:		http://webkitgtk.org/
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	bison >= 1.875
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	cairo-gobject-devel >= 1.10
BuildRequires:	enchant-devel >= 0.22
BuildRequires:	flex >= 2.5.33
BuildRequires:	fontconfig-devel >= 2.4.0
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	geoclue-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	glibc-misc
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 0.9.5}
BuildRequires:	gperf
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.30
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	libicu-devel >= 4.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsoup-devel >= 2.38
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	libxslt-devel >= 1.1.7
BuildRequires:	pango-devel >= 1:1.21
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	cairo >= 1.10
Requires:	enchant >= 0.22
Requires:	glib2 >= 1:2.32.0
Requires:	gstreamer-plugins-base >= 0.10.30
Requires:	gtk+2 >= 2:2.20.0
Requires:	libsoup >= 2.38
Requires:	libxml2 >= 1:2.6.30
Requires:	libxslt >= 1.1.7
Requires:	pango >= 1:1.21
%{?with_introspection:Conflicts:	gir-repository < 0.6.5-7}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
webkit is a port of the WebKit embeddable web component to GTK+.

%description -l pl.UTF-8
webkit to port osadzalnego komponentu WWW WebKit do GTK+.

%package devel
Summary:	Development files for WebKit
Summary(pl.UTF-8):	Pliki programistyczne WebKit
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.10
Requires:	enchant-devel >= 0.22
Requires:	fontconfig-devel >= 2.4.0
Requires:	freetype-devel >= 1:2.1.8
Requires:	geoclue-devel
Requires:	glib2-devel >= 1:2.32.0
Requires:	gstreamer-devel >= 0.10
Requires:	gstreamer-plugins-base-devel >= 0.10.30
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	libicu-devel >= 4.2.1
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libsoup-devel >= 2.38
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 1:2.6.30
Requires:	libxslt-devel >= 1.1.7
Requires:	pango-devel >= 1:1.21
Requires:	sqlite3-devel >= 3
Requires:	xorg-lib-libXt-devel

%description devel
Development files for WebKit.

%description devel -l pl.UTF-8
Pliki programistyczne WebKit.

%prep
%setup -q -n webkit-%{version}
%patch0 -p1
%patch1 -p2

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I Source/autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-geolocation \
	--enable-gtk-doc \
	--enable-icon-database \
	--enable-introspection%{!?with_introspection:=no} \
	--enable-video \
	--with-font-backend=freetype \
	--with-gtk=2.0 \
	--with-html-dir=%{_gtkdocdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*-1.0.la
# packaged in gtk-webkit3
%{__rm} -r $RPM_BUILD_ROOT%{_gtkdocdir}/webkitgtk

%find_lang webkit-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f webkit-2.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS 
%attr(755,root,root) %{_bindir}/jsc-1
%attr(755,root,root) %{_libdir}/libwebkitgtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkitgtk-1.0.so.0
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjavascriptcoregtk-1.0.so.0
%if %{with introspection}
%{_libdir}/girepository-1.0/JSCore-1.0.typelib
%{_libdir}/girepository-1.0/WebKit-1.0.typelib
%endif
%dir %{_datadir}/webkitgtk-1.0
%{_datadir}/webkitgtk-1.0/images
%{_datadir}/webkitgtk-1.0/resources
%{_datadir}/webkitgtk-1.0/webinspector

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-1.0.so
%attr(755,root,root) %{_libdir}/libwebkitgtk-1.0.so
%if %{with introspection}
%{_datadir}/gir-1.0/JSCore-1.0.gir
%{_datadir}/gir-1.0/WebKit-1.0.gir
%endif
%{_includedir}/webkitgtk-1.0
%{_pkgconfigdir}/javascriptcoregtk-1.0.pc
%{_pkgconfigdir}/webkit-1.0.pc
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtk-webkit.git;a=log;h=master

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 5c43f9b
- updated to 1.8.2
- added bison2.6 patch

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> 20bff3b
- added missing am.patch, release 2

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 8901e63
- updated to 1.8.1 built for gtk+2 (note: new sonames);
  webkit 1.2.x for gtk+2 left on WEBKIT_1_2 branch, new webkit for gtk+3 already in gtk-webkit3.spec)
- removed obsolete gobject-introspection,libpng patches
- added am patch (automake 1.12 compatibility patch from gentoo)

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c43119
- rel 10; png fix

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d23d9f
- release 9

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b2010ff
- release 8

* Sun Oct 09 2011 Artur Frysiak <artur@frysiak.net> 28ad323
- rel. 7

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> a1864ee
- force make -j1
- rel. 6

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 925fc40
- BR: cairo-gobject-devel
- rel. 5

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> f4962f2
- drop libtool file

* Sun Mar 20 2011 Jakub Bogusz <qboosh@pld-linux.org> b1701b5
- proper order of lt/ac/am calls to avoid rebuilding again on make stage

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 96d36bb
- release 3

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a60ba79
- release 2

* Sun Feb 13 2011 Artur Frysiak <artur@frysiak.net> e0759a3
- 1.2.7

* Mon Jan 17 2011 Jakub Bogusz <qboosh@pld-linux.org> cf86a82
- package ChangeLog
- versioned runtime deps

* Tue Dec 28 2010 Jan Palus <jan.palus@gmail.com> 231faf6
- remove indirect Requires
- rel 4

* Tue Dec 28 2010 Jan Palus <jan.palus@gmail.com> 06d2495
- correct pango Requires for -devel (thx SamChi)

* Tue Dec 28 2010 Jan Palus <jan.palus@gmail.com> 72e3212
- Requires for -devel to satisfy *.la dependencies
- rel 3

* Sat Sep 25 2010 Patryk Zawadzki <patrys@room-303.com> 704191d
- build with new gir format
- rel 2

* Mon Sep 06 2010 pawelz <pawelz@pld-linux.org> 09247b0
- up to 1.2.4

